Check Game ID
API to check game account details for MLBB, Free Fire, and PUBG. This helps verify game IDs before making a transaction to reduce fail rates from wrong game IDs.
Path
| Method | Path |
|---|---|
| POST | api/check-game-id |
Test Case
Use below test case in development environment only.
| game_id | Response Status | Description |
|---|---|---|
| 12345678 | 1 | Test success case |
| 00000000 | 2 | Test error case |
| Other IDs | 1 | Default valid response |
Request Body
| Attributes | Type | Description | Mandatory |
|---|---|---|---|
| game_code | String | Game code: mlbb, ff, or pubg | Yes |
| game_id | String | Game account ID (max 50 characters) | Yes |
| game_server | String | Game server/zone ID (max 10 characters, required only for mlbb) | Conditional |
| username | String | Your registered username (alphanumeric, dots, underscores, hyphens only) | Yes |
| sign | String | Signature. Value: md5(username+api_key+game_code) | Yes |
{
"game_code": "mlbb",
"game_id": "12345678",
"game_server": "1234",
"username": "your_username",
"sign": "your_signature"
}
Response
Valid Game ID
| Attributes | Type | Description | Mandatory |
|---|---|---|---|
| status | Double | Response status. List of status: 1:Valid 2:Invalid | Yes |
| region | String | Game region (note: for pubg, this returns the zone value) | Yes |
| game_id | String | Game account ID | Yes |
| game_server | String | Game server/zone ID | Yes |
| game_account_name | String | Account name | Yes |
| message | String | Response message | Yes |
| rc | String | Response code. See response code list | Yes |
{
"data": {
"status": 1,
"region": "ID",
"game_id": "12345678",
"game_server": "1234",
"game_account_name": "PlayerName",
"message": "SUCCESS",
"rc": "00"
}
}
Invalid Game ID
{
"data": {
"status": 2,
"region": "1234",
"game_id": "12345678",
"game_server": "1234",
"game_account_name": "",
"message": "Invalid User ID",
"rc": "142"
}
}
Live Testing
Request URL
https://prepaid.iak.dev/api/check-game-id
Request Method
Request Header
Content-Type: application/json
Body
Result